package cn.iocoder.yudao.module.inspection.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.iocoder.yudao.util.DateUtils;
import org.springframework.stereotype.Service;
import cn.iocoder.yudao.module.inspection.mapper.InspectionCategoryTemplateMapper;
import cn.iocoder.yudao.module.inspection.entity.InspectionCategoryTemplate;
import cn.iocoder.yudao.module.inspection.service.IInspectionCategoryTemplateService;

/**
 * 分类模版Service业务层处理
 *
 * @author ruoyi
 * @date 2023-09-07
 */
@Service
public class InspectionCategoryTemplateServiceImpl extends ServiceImpl<InspectionCategoryTemplateMapper,InspectionCategoryTemplate> implements IInspectionCategoryTemplateService
{

    /**
     * 查询分类模版
     *
     * @param id 分类模版主键
     * @return 分类模版
     */
    @Override
    public InspectionCategoryTemplate selectInspectionCategoryTemplateById(Long id)
    {
        return baseMapper.selectInspectionCategoryTemplateById(id);
    }

    /**
     * 查询分类模版列表
     *
     * @param inspectionCategoryTemplate 分类模版
     * @return 分类模版
     */
    @Override
    public IPage<InspectionCategoryTemplate> selectInspectionCategoryTemplateList(Page<InspectionCategoryTemplate> page, InspectionCategoryTemplate inspectionCategoryTemplate)
    {
        return baseMapper.selectInspectionCategoryTemplateList(page,inspectionCategoryTemplate);
    }

    /**
     * 新增分类模版
     *
     * @param inspectionCategoryTemplate 分类模版
     * @return 结果
     */
    @Override
    public int insertInspectionCategoryTemplate(InspectionCategoryTemplate inspectionCategoryTemplate)
    {
        return baseMapper.insertInspectionCategoryTemplate(inspectionCategoryTemplate);
    }

    /**
     * 修改分类模版
     *
     * @param inspectionCategoryTemplate 分类模版
     * @return 结果
     */
    @Override
    public int updateInspectionCategoryTemplate(InspectionCategoryTemplate inspectionCategoryTemplate)
    {
        inspectionCategoryTemplate.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateInspectionCategoryTemplate(inspectionCategoryTemplate);
    }

    /**
     * 批量删除分类模版
     *
     * @param ids 需要删除的分类模版主键
     * @return 结果
     */
    @Override
    public int deleteInspectionCategoryTemplateByIds(Long[] ids)
    {
        return baseMapper.deleteInspectionCategoryTemplateByIds(ids);
    }

    /**
     * 删除分类模版信息
     *
     * @param id 分类模版主键
     * @return 结果
     */
    @Override
    public int deleteInspectionCategoryTemplateById(Long id)
    {
        return baseMapper.deleteInspectionCategoryTemplateById(id);
    }

    @Override
    public void deleteByCategoryId(Long id) {
        baseMapper.deleteByCategoryId(id);
    }
}
